Subject: Re: [RFC] [DCCP]: Deprecate SOCK_DCCP in favour of SOCK_DGRAM

From: Rémi Denis-Courmont <[email-masked]>
Date: Wed, 14 May 2008 20:49:18 +0300

Le Wednesday 14 May 2008 20:39:40 Sridhar Samudrala, vous avez écrit :
> On Wed, 2008-05-14 at 09:06 -0700, Ulrich Drepper wrote:
> > -----BEGIN PGP SIGNED MESSAGE-----
> > Hash: SHA1
> >
> > Gerrit Renker wrote:
> > > ... but it would still be good to have.
> > > [...]
> >
> > Thanks, but I think I got this already from previous mails.
>
> SCTP is another protocol that needs to be supported in getaddrinfo().
> The minimum support that is good to have is to handle the following
> values of ai_socktype and ai_protocol.
>   SOCK_STREAM, IPPROTO_SCTP
>   SOCK_SEQPACKET, IPPROTO_SCTP

Yeah but I don't think ai_socktype == SOCK_STREAM and ai_protocol == 0 should 
return IPPROTO_SCTP. Me fears this will break to many TCP applications in the 
field.

-- 
Rémi Denis-Courmont
http://www.remlab.net/